package node

import (
	"blazing/logic/service/fight/info"
	"blazing/logic/service/fight/input"
)

// 使用技能前
func (e *EffectNode) UseSkill(opp *input.Input) bool {

	return e.Input.CurrentPet.HP != 0
}

// 使用技能时
func (e *EffectNode) OnSkill(opp *input.Input, skill *info.SkillEntity) {

}
func (e *EffectNode) OnSkillPP() bool {
	return true
}
func (e *EffectNode) SkillUseEnd(*input.Input) {

}
